Skip to main content
PUT
/
api
/
v1
/
production-lines
/
{production_line_id}
Update Production Line
curl --request PUT \
  --url https://staging.cutmake.ai/api/v1/production-lines/{production_line_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "workerCount": 1,
  "costPerMinuteVnd": 1,
  "capacityPerDay": 1,
  "shiftType": "regular",
  "isActive": true
}
'
{
  "id": "<string>",
  "name": "<string>",
  "workerCount": 123,
  "costPerMinuteVnd": "<string>",
  "capacityPerDay": 123,
  "shiftType": "regular",
  "isActive": true,
  "effectiveCostPerMinute": "<string>",
  "description": "<string>"
}

Headers

X-Org-Id
string | null

Path Parameters

production_line_id
string
required

Body

application/json
name
string | null
description
string | null
workerCount
integer | null
Required range: x >= 0
costPerMinuteVnd
Required range: x >= 0
capacityPerDay
integer | null
Required range: x >= 0
shiftType
enum<string> | null
Available options:
regular,
overtime,
weekend
isActive
boolean | null

Response

Successful Response

id
string
required
name
string
required
workerCount
integer
required
costPerMinuteVnd
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
capacityPerDay
integer
required
shiftType
enum<string>
required
Available options:
regular,
overtime,
weekend
isActive
boolean
required
effectiveCostPerMinute
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
description
string | null